Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.security.auth.login
Class AccountExpiredException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.security.GeneralSecurityException
                        |
                        +--javax.security.auth.login.LoginException
                              |
                              +--javax.security.auth.login.AccountExpiredException

All Implemented Interfaces:
  Serializable

public class AccountExpiredException
extends LoginException

Signals that a user account has expired.

This exception is thrown by LoginModules when they determine that an account has expired. For example, a `LoginModule`, after successfully authenticating a user, may determine that the user's account has expired. In this case the `LoginModule` throws this exception to notify the application. The application can then take the appropriate steps to notify the user.

See Also:
  Serialized Form

Constructor Summary
`AccountExpiredException()` Constructs a AccountExpiredException with no detail message.
`AccountExpiredException(String msg)` Constructs a AccountExpiredException with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AccountExpiredException

    public AccountExpiredException()

  Constructs a AccountExpiredException with no detail message. A detail message is a String that describes this particular exception.

### AccountExpiredException

    public AccountExpiredException(String msg)

  Constructs a AccountExpiredException with the specified detail message. A detail message is a String that describes this particular exception.

Parameters:
  `msg` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.